ProjectHelper.OnMissingExtensionPoint (Apache Ant API)
Description: declaration: package: org.apache.tools.ant, class: ProjectHelper, class: OnMissingExtensionPoint

Package org.apache.tools.ant

# Class ProjectHelper.OnMissingExtensionPoint

java.lang.Object
org.apache.tools.ant.ProjectHelper.OnMissingExtensionPoint

Enclosing class:
  ProjectHelper

    public static final class ProjectHelper.OnMissingExtensionPoint
    extends java.lang.Object

Possible value for target's onMissingExtensionPoint attribute. It determines how to deal with targets that want to extend missing extension-points.

This class behaves like a Java 1.5 Enum class.

Since:
  1.8.2

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static ProjectHelper.OnMissingExtensionPoint` | `FAIL` | fail if the extension-point is not defined
  `static ProjectHelper.OnMissingExtensionPoint` | `IGNORE` | ignore the extensionOf attribute if the extension-point is not defined
  `static ProjectHelper.OnMissingExtensionPoint` | `WARN` | warn if the extension-point is not defined

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `name()` |
  `java.lang.String` | `toString()` |
  `static ProjectHelper.OnMissingExtensionPoint` | `valueOf​(java.lang.String name)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FAIL

    public static final ProjectHelper.OnMissingExtensionPoint FAIL
    fail if the extension-point is not defined

  - ### WARN

    public static final ProjectHelper.OnMissingExtensionPoint WARN
    warn if the extension-point is not defined

  - ### IGNORE

    public static final ProjectHelper.OnMissingExtensionPoint IGNORE
    ignore the extensionOf attribute if the extension-point is not defined

- ## Method Details

  - ### name

    public java.lang.String name()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### valueOf

    public static ProjectHelper.OnMissingExtensionPoint valueOf​(java.lang.String name)